package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author rawktron
	 */
	public class GameOverState extends FlxState
	{
		
		override public function create():void
		{
			var t:FlxText;

			if (FlxG.score == 10)
			{
				t = new FlxText(0, FlxG.height / 2 - 10, FlxG.width, "YOU WIN!");				
			}
			else
			{
				t = new FlxText(0, FlxG.height / 2 - 10, FlxG.width, "GAME OVER");
			}

			t.size = 16;

			t.alignment = "center";

			add(t);

			t = new FlxText(FlxG.width/2-80,FlxG.height-50,150,"Score: "+FlxG.score+"\n\n\nClick or SPACE to continue");

			t.alignment = "center";

			add(t);

			FlxG.mouse.show();
		}
		
		override public function update():void

		{

			super.update();

			if (FlxG.keys.justPressed("M"))
			{
				if (FlxG.mute)
				{
					FlxG.mute = false;
				}
				else
				{
					FlxG.mute = true;
				}
			}


			if(FlxG.mouse.justPressed() || FlxG.keys.SPACE)

			{

				FlxG.mouse.hide();

				FlxG.switchState(new MenuState())
			}

		}
		
		
	}

}