package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author rawktron
	 */
	public class IntroState extends FlxState
	{
		public var text:String;
		[Embed(source = "../data/Talisman.mp3")] private var Music:Class;

		
		
		override public function create():void

		{
			text =  "We'd been stuck in the cave for so long.\nDad's health had failed. The sickness\nhad slowly killed him, and I'd started\nto feel it myself. I had to see if there\nwas anyone else out there. I needed\nhelp. As I left the cave that had\nbecome our home, I gripped the Talisman\nand his last words echoed in my ears:\n'It's dangerous to go alone. Take this!'\n\nPass the Talisman to other survivors!\n\nArrow keys move.\nX uses the Talisman.\nC gives it to another survivor.\nM to mute.\n\nClick or SPACE to venture forth.";
		
			//var music:FlxSound;
			//
			//music = new FlxSound();
			//
			//music.survive = true;
			
			FlxG.playMusic(Music, 1.0);
			
			

			var t:FlxText;

			t = new FlxText(0,0,FlxG.width,text);

			t.size = 10;

			t.alignment = "left";

			add(t);

			//t = new FlxText(FlxG.width/2-50,FlxG.height-20,100,"click to play");
//
			//t.alignment = "center";
//
			//add(t);

			

			FlxG.mouse.show();

		}



		override public function update():void

		{

			super.update();

			if (FlxG.keys.justPressed("M"))
			{
				if (FlxG.mute)
				{
					FlxG.mute = false;
				}
				else
				{
					FlxG.mute = true;
				}
			}


			if(FlxG.mouse.justPressed() || FlxG.keys.SPACE)

			{

				FlxG.mouse.hide();

				FlxG.switchState(new PlayState())
			}

		}

	}
		
}