package

{

	import org.flixel.*;



	public class MenuState extends FlxState

	{

		override public function create():void

		{

			var t:FlxText;

			t = new FlxText(0,FlxG.height/2-40,FlxG.width,"Talisman\n\nby @rawktron");

			t.size = 16;

			t.alignment = "center";

			add(t);

			t = new FlxText(FlxG.width/2-80,FlxG.height-50,150,"Press M to mute\n\nClick or SPACE to play");

			t.alignment = "center";

			add(t);

			

			FlxG.mouse.show();

		}



		override public function update():void

		{

			super.update();

			if (FlxG.keys.justPressed("M"))
			{
				if (FlxG.mute)
				{
					FlxG.mute = false;
				}
				else
				{
					FlxG.mute = true;
				}
			}

			if(FlxG.mouse.justPressed() || FlxG.keys.SPACE)

			{

				FlxG.mouse.hide();

				FlxG.switchState(new IntroState())
			}

		}

	}

}

