package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author rawktron
	 */
	
	 // We can put all the car movement shit in here
	public class Player extends FlxSprite
	{
		[Embed(source = "../data/Char.png")] private var ImgChar:Class;
		[Embed(source = "../data/Survivor.png")] private var ImgSur:Class;
		[Embed(source = "../data/Death.mp3")] private var DeathSnd:Class;
		
		
		public var healthTime:Number;
		public var healthTimer:FlxTimer;
		public var bCanNuke:Boolean;
		
		public function Player() 
		{
				//makeGraphic(8, 8, 0xaabbccdd);
				loadGraphic(ImgChar, true, true, 8, 8);
				
				addAnimation("idle", [0], 0, true);
				addAnimation("walk", [0, 1, 2, 3], 10, true);
				addAnimation("up", [4, 5], 10, true);
				addAnimation("down", [6, 7], 10, true);
				x = 30;
				y = 30;
				drag.x = 400;
				drag.y = 400;
				
				health = 100;
				
				bCanNuke = true;
				
				maxVelocity.x = 100;
				maxVelocity.y = 100;
				
				healthTime = 10;
				healthTimer = new FlxTimer();
				healthTimer.start(healthTime, health, onTimer);
				
		}
		
		public function onTimer(timer:FlxTimer):void
		{
			hurt(1);
		}
		
		override public function kill():void
		{
			FlxG.play(DeathSnd, 1.0);
			super.kill();
		}
		
		public function Takeover(dude:Survivor):void
		{
			// Normally I guess we swap out the sprite here, and call loadgraphic again
			FlxG.flash();
			//makeGraphic(8, 8, 0xff0000aa);
			if (dude.guy == 1)
			{
				loadGraphic(ImgChar, true, true, 8, 8);
			}
			else
			{
				loadGraphic(ImgSur, true, true, 8, 8);
			}
			
			x = dude.x;
			y = dude.y;
			health = dude.health;
			dude.kill();
			FlxG.score++;
			bCanNuke = true;
			healthTime = 10;
			healthTimer.stop();
			healthTimer.destroy();
			healthTimer = new FlxTimer();
			healthTimer.start(healthTime, health, onTimer);
		}
	
		override public function update():void
		{
			acceleration.x = 0;
			acceleration.y = 0;
			var up:Boolean = false;
			var down:Boolean = false;
			var left:Boolean = false;
			var right:Boolean = false;
			
			if (FlxG.keys.LEFT)
			{
				left = true;
				facing = LEFT;
				acceleration.x -= drag.x;
			}
			if (FlxG.keys.RIGHT)
			{
				right = true;
				facing = RIGHT;
				acceleration.x += drag.x;
			}
			if (FlxG.keys.UP)
			{
				up = true;
				facing = UP;
				acceleration.y -= drag.y;
			}
			if (FlxG.keys.DOWN)
			{
				down = true;
				facing = DOWN;
				acceleration.y += drag.y;
			}
			
			if(velocity.x == 0 && velocity.y == 0)
			{
				play("idle");
			}
			else
			{
				if (!(left || right))
				{
					if (up)
					{
						play("up");
					}
					else if (down) 
					{
						play("down");
					}
				}
				else 
				{
					play("walk");
				}
			}			
		}
	}

}