package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author rawktron
	 */
	public class Shrub extends FlxSprite
	{
		[Embed(source = "../data/Sprites.png")] private var ImgSprites:Class;
		
		public function Shrub(ox:int,oy:int) 
		{
				loadGraphic(ImgSprites, true, false, 8, 8);
				x = ox;
				y = oy;
				addAnimation("shrub1", [0], 0, true);
				addAnimation("shrub2", [1], 0, true);
				addAnimation("rocks", [2], 0, true);
				
				allowCollisions = FlxObject.FLOOR;
				
				immovable = true;
				
				var i:uint = FlxG.random() * 3;
				
				if (i == 0)
				{
					play("shrub1");
				}
				else if (i == 1)
				{
					play("shrub2");
				}
				else
				{
					play("rocks");
				}
				
		}
		
	}

}